# vim: set ft=spec: -*- spec -*-
# $Id: wmtune,v 1.14 2006/03/19 19:50:02 raorn Exp $

Name: wmtune
Version: 1.0
Release: alt6
Group: Graphical desktop/Window Maker
License: GPL

Packager: Sir Raorn <raorn@altlinux.ru>

Source: %name-%version.tar.gz
Source1: %name.menu

Patch: %name-v4l.patch
Patch1: %name-1.0-alt-v4l-keep-device-open.patch
Patch2: %name-1.0-alt-makefile-fixes.patch
Patch3: %name-1.0-alt-link.patch

Summary: WindowMaker dock.app that controls radio tuner card

# Automatically added by buildreq on Sun Mar 19 2006
BuildRequires: libX11-devel libXext-devel libXpm-devel linux-libc-headers

%description
WMTune is a WindowMaker dock.app that controls radio tuner card.

This release supports all radio cards supported by the linux
2.2+ series kernels, using the Video4Linux API.

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%make_build CFLAGS="%optflags"

%install
%__install -p -D -m 755 %name $RPM_BUILD_ROOT%_bindir/%name
%__install -p -D -m 644 sample.wmtunerc $RPM_BUILD_ROOT%_sysconfdir/%{name}rc
%__install -p -D -m 644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc COPYING README sample.%{name}rc
%_sysconfdir/wmtunerc
%_bindir/%name
%_menudir/%name

%changelog
* Sun Mar 19 2006 Sir Raorn <raorn@altlinux.ru> 1.0-alt6
- Fixed wrong linking
- Rebuilt with Xorg7, buildreqs updated
- Built with llh

* Sun Sep 21 2003 Sir Raorn <raorn@altlinux.ru> 1.0-alt5
- Added kernel-headers-std to buildreqs

* Thu Jul 17 2003 Sir Raorn <raorn@altlinux.ru> 1.0-alt4
- Do not hold video device when radio is off
- Some fixes to makefiles

* Tue Oct 22 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt3
- rebuild with gcc3

* Thu Jan 10 2002 Sir Raorn <raorn@altlinux.ru> 1.0-alt2
- BuildRequires tag (But why?)

* Wed Dec 19 2001 Sir Raorn <raorn@altlinux.ru> 1.0-alt1
- Initial RPM release



